> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/miscellaneous/otc.md).

# OTC

## Woo App Auth Callback

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"OTC"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[],"paths":{"/api/v1/otc/{tenant}/woo-app-auth-callback":{"get":{"summary":"Woo App Auth Callback","description":"To be confirmed.","tags":["OTC"],"parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"},"description":"The tenant identifier."}],"responses":{"200":{"description":"Successful response"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}}},"operationId":"oneTimeCallbackWooAppAuth"}}}}
```

## Woo App Auth Callback

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"OTC"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[],"paths":{"/api/v1/otc/{tenant}/woo-app-auth-callback":{"post":{"summary":"Woo App Auth Callback","description":"To be confirmed.","tags":["OTC"],"parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"},"description":"The tenant identifier."}],"responses":{"200":{"description":"Successful response"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"otcWooAppAuthCallback"}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}}}
```
